> For the complete documentation index, see [llms.txt](https://docs.aevo.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aevo.xyz/api-reference/websocket-api/messaging-format.md).

# Request Format

***

* `op`: Operation type, for example `subscribe`, `unsubscribe`, or `ping`
* `data` (optional): Parameters specific to an operation
* `id` (optional): The request ID, an arbitrary integer passed to link requests with responses

## Response Format

***

* `data`: The JSON payload of the response or the channel message
* `error` (optional): The error message returned if an error occurred
* `id` (optional): The ID of the corresponding request, if it is provided
* `channel` (optional): The channel for the sent message, only added to the response when there is a response on the channel


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aevo.xyz/api-reference/websocket-api/messaging-format.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
